cd "M:\Kollman Party Project IFS\Canada"
use "AUGUST\1965\1965 total id.dta", clear
merge 1:1 year using "AUGUST\1965\1965 total prop.dta"
drop _merge
merge 1:1 year using "AUGUST\1965\1965 total distance.dta"
drop _merge

merge 1:1 year using "AUGUST\1965\1965 religion id.dta"
drop _merge
merge 1:1 year using "AUGUST\1965\1965 religion prop.dta"
drop _merge
merge 1:1 year using "AUGUST\1965\1965 religion comp distance.dta"
drop _merge

merge 1:1 year using "AUGUST\1965\1965 region id.dta"
drop _merge
merge 1:1 year using "AUGUST\1965\1965 region prop.dta"
drop _merge
merge 1:1 year using "AUGUST\1965\1965 region comp distance.dta"
drop _merge

merge 1:1 year using "AUGUST\1965\1965 union id.dta"
drop _merge
merge 1:1 year using "AUGUST\1965\1965 union prop.dta"
drop _merge
merge 1:1 year using "AUGUST\1965\1965 union comp distance.dta"
drop _merge

merge 1:1 year using "AUGUST\1965\1965 ethnicity id.dta"
drop _merge
merge 1:1 year using "AUGUST\1965\1965 ethnicity prop.dta"
drop _merge
merge 1:1 year using "AUGUST\1965\1965 ethnicity comp distance.dta"
drop _merge

merge 1:1 year using "AUGUST\1965\1965 partisan id.dta"
drop _merge
merge 1:1 year using "AUGUST\1965\1965 partisan prop.dta"
drop _merge
merge 1:1 year using "AUGUST\1965\1965 partisan comp distance.dta"
drop _merge

merge 1:1 year using "AUGUST\1965\1965 type id.dta"
drop _merge
merge 1:1 year using "AUGUST\1965\1965 type prop.dta"
drop _merge
merge 1:1 year using "AUGUST\1965\1965 type comp distance.dta"
drop _merge

merge 1:1 year using "AUGUST\1965\1965 regxrel id.dta"
drop _merge
merge 1:1 year using "AUGUST\1965\1965 regxrel prop.dta"
drop _merge
merge 1:1 year using "AUGUST\1965\1965 regxrel comp distance.dta"
drop _merge

merge 1:1 year using "AUGUST\1965\1965 regxun id.dta"
drop _merge
merge 1:1 year using "AUGUST\1965\1965 regxun prop.dta"
drop _merge
merge 1:1 year using "AUGUST\1965\1965 regxun comp distance.dta"
drop _merge

order year observ Liberal Conservative NDP SocialCredit Creditiste UnionNationale Other None ClsrLiberal ClsrConservative ClsrNDP ClsrSocialCredit ClsrOther ClsrNone *_prop *Self *Lib *Con *NDP *Dis *_1cath *_2chr *_3other *_4nrel *_1Marit *_2Queb *_3Ontar *_4West *_1union *_2nunion *_1Euro *_2nEuro *_1LibPar *_2ConPar *_3NDPPar  *_4OtherPar *_1urban *_2nurban
drop sub_n

gen sub_n1="total"
gen sub_n2="religion"
gen sub_n3="region"
gen sub_n4="union"
gen sub_n5="ethnicity"
gen sub_n6="partisan"
gen sub_n7="type"
gen sub_n8="region X religion"
gen sub_n9="region X union"

label var sub_n1 "total"
label var sub_n2 "religion"
label var sub_n3 "region"
label var sub_n4 "union"
label var sub_n5 "ethnicity"
label var sub_n6 "partisan"
label var sub_n7 "type"
label var sub_n8 "region X religion"
label var sub_n9 "region X union"

order sub_n1, before(observ)
order sub_n2, before(observ_1cath)
order sub_n3, before(observ_1Marit)
order sub_n4, before(observ_1union)
order sub_n5, before(observ_1Euro)
order sub_n6, before(observ_1LibPar)
order sub_n7, before (observ_1urban)
order sub_n8, before (observ_1QbCat)
order sub_n9, before (observ_1QbU)

save "AUGUST\1965\1965 merged.dta", replace
clear
