






clear
clear matrix
log using /users/jjacksn/documents/partisan/kollman/canada/modeltest_canada_unemp_prot_bloc.log, replace
import excel /users/jjacksn/documents/partisan/kollman/canada/regionrel.xlsx,  first
quietly {
gen miss = region == 2 & religion == 3 & year < 1988
replace miss = 1 if[year == 1965]
*replace other = other + bloc
replace unemp = unemp - 7.83
gen liberal1 = liberal[_n-1]
gen ndp1 = ndp[_n-1]
gen conserv1 = conserv[_n-1]
gen none1 = none[_n-1]
gen other1 = other[_n-1]
replace utillib = 2*utillib if[year == 2000]
replace utilndp = 2*utilndp if[year == 2000]
replace utilcon = 2*utilcon if[year == 2000]
gen queb = region == 1
gen marit = region == 2
gen ont = region == 3
gen west = region == 4
gen cath = religion == 1
gen prot = religion == 2
gen othrel = religion == 3
gen d88 = year > 1987
gen time = (year - 1965)/100
gen unemp1 = unemp[_n-1]
gen unempc = unemp*(1-party)
gen unempc1 = unempc[_n-1]
gen unempl = unemp*party
gen unempl1 = unempl[_n-1]
gen unempp = unemp * (2*party-1)
gen dincp = dinc * (2*party - 1)
gen dnincp = dninc * (2*party - 1)
gen unempp1 = unempp[_n-1]
gen party1 = party[_n-1]
gen dplib2 = (plib - plib[_n-1])^2
gen dpndp2 = (pndp - pndp[_n-1])^2
gen dpcon2 = (pcon - pcon[_n-1])^2
gen dp2 = dplib2 + dpndp2 + dpcon2
gen dp2party = dplib2 + dpcon2
replace conserv = . if[miss == 1]
gen conservxq = conserv
replace conservxq = . if[queb == 1]
gen majparty = liberal - conserv
gen majparty1 = liberal1 - conserv1
gen util = utillib - utilcon
gen majpartyxq = majparty
replace majpartyxq = . if[queb == 1]
gen roc = 1 - queb
gen S = 0
replace S = 1 if[year == 1979 | year == 1984 | year == 1997 | year == 2008]
gen dbloc = bloc>0
  }
*
*major party
*
nlsur (majparty = {b01} + {b11}*queb + {b21}*marit + {b31}*west + {b41}*cath + {b51}*othrel + {b71}*(queb+marit)*prot + {b91}*bloc + {b61}*unempp  + {b81}*d88 + ( {a11=.3})*exp({c1=-.1}*dp2party)*majparty1 +(1 - ( {a11=.3})*exp({c1=-.1}*dp2party))*(({g11})*util +({g21})*inter)) (ndp = {b03} + {b13}*queb +{b23}*marit + {b33}*west + {b43}*cath + {b53}*othrel + {b73}*(queb+marit)*prot + {b93}*bloc + {b63}*unemp + {b83}*d88 + {a13=.3}*exp({c1=-.1}*dpndp2)*ndp1 + (1 -  {a13=.3}*exp({c1=-.1}*dpndp2))*({g13}*indiff + {g23}*alien + {g33}*utilndp ) ) (other = {b04} + {b14}*queb + {b24}*marit + {b34}*west + {b44}*cath + {b54}*othrel + {b74}*(queb+marit)*prot + {b94}*bloc + {b64}*unemp + {b84}*d88 +  {a14=.3}*other1 + (1 -  {a14=.3})*({g14}*indiff + {g24}*alien+{g34}*utilndp)) (none = {b05} + {b15}*queb + {b25}*marit + {b35}*west + {b45}*cath + {b55}*othrel + {b75}*(queb+marit)*prot + {b95}*bloc + {b65}*unemp + {b85}*d88  +  {a15=.3}*none1 + (1 -  {a15=.3})*({g15}*indiff + {g25}*alien+{g35}*utilndp)), nolog ifgnls vce(robust)
display e(ll)
predict partyhat0, equation(#1)
gen e02 = (majparty - partyhat0)^2
*
*
*full model with normal partisanship
*
nlsur (conserv = {b01} + {b11}*queb + {b21}*marit + {b31}*west + {b41}*cath + {b51}*othrel  + {b71}*(queb+marit)*prot + {b91}*bloc+ {b61}*unempp + {b81}*d88 + ( {a11=.3})*exp({c1=-.1}*dp2)*(conserv1-{b61}*unempp1) + (1 - ( {a11=.3})*exp({c1=-.1}*dp2))*({g11}*utilcon + {g21}*utillib +{g31}*utilndp)) (liberal = {b02} + {b12}*queb + {b22}*marit + {b32}*west + {b42}*cath + {b52}*othrel + {b72}*(queb+marit)*prot + {b92}*bloc + {b62}*unempp + {b82}*d88 + ( {a12=.3})*exp({c1=-.1}*dp2)*(liberal1-{b62}*unempp1) + (1 - ( {a12=.3})*exp({c1=-.1}*dp2))*(({g12})*utilcon + ({g22})*utillib + ({g32})*utilndp) )(ndp = {b03} + {b13}*queb + {b23}*marit + {b33}*west + {b43}*cath + {b53}*othrel + {b73}*(queb+marit)*prot + {b93}*bloc + {b63}*unemp + {b83}*d88 +  {a13=.3}*exp({c1=-.1}*dp2)*(ndp1-{b63}*unemp1) + (1 -  {a13=.3}*exp({c1=-.1}*dp2))*({g13}*utilcon + {g23}*utillib + {g33}*utilndp)) (other = {b04} + {b14}*queb + {b24}*marit + {b34}*west +{b44}*cath + {b54}*othrel + {b74}*(queb+marit)*prot + {b94}*bloc + {b64}*unemp + {b84}*d88  +  {a14=.3}*(other1) + (1 -  {a14=.3})*({g14}*utilcon + {g24}*utillib + {g34}*utilndp))(none = {b05} + {b15}*queb + {b25}*marit + {b35}*west + {b45}*cath + {b55}*othrel + {b75}*(queb+marit)*prot + {b95}*bloc + {b65}*unemp + {b85}*d88 +  {a15=.3}*none1 + (1 -  {a15=.3})*({g15}*utilcon + {g25}*utillib + {g35}*utilndp)), nolog ifgnls vce(robust) 
display e(ll)
*
*fullmodel with bloc
*
nlsur (conserv = {b01} + {b11}*queb + {b21}*marit + {b31}*west + {b41}*cath + {b51}*othrel  + {b71}*(queb+marit)*prot + {b91}*bloc+ {b61}*unempp + {b81}*d88 + ( {a11=.3})*exp({c1=-.1}*dp2)*conserv1 + (1 - ( {a11=.3})*exp({c1=-.1}*dp2))*({g11}*utilcon + {g21}*utillib +{g31}*utilndp)) (liberal = {b02} + {b12}*queb + {b22}*marit + {b32}*west + {b42}*cath + {b52}*othrel + {b72}*(queb+marit)*prot + {b92}*bloc + {b62}*unempp + {b82}*d88 + ( {a12=.3})*exp({c1=-.1}*dp2)*liberal1 + (1 - ( {a12=.3})*exp({c1=-.1}*dp2))*(({g12})*utilcon + ({g22})*utillib + ({g32})*utilndp) )(ndp = {b03} + {b13}*queb + {b23}*marit + {b33}*west + {b43}*cath + {b53}*othrel + {b73}*(queb+marit)*prot + {b93}*bloc + {b63}*unemp + {b83}*d88 +  {a13=.3}*exp({c1=-.1}*dp2)*ndp1 + (1 -  {a13=.3}*exp({c1=-.1}*dp2))*({g13}*utilcon + {g23}*utillib + {g33}*utilndp)) (other = {b04} + {b14}*queb + {b24}*marit + {b34}*west +{b44}*cath + {b54}*othrel + {b74}*(queb+marit)*prot + {b94}*bloc + {b64}*unemp + {b84}*d88  +  {a14=.3}*other1 + (1 -  {a14=.3})*({g14}*utilcon + {g24}*utillib + {g34}*utilndp))(none = {b05} + {b15}*queb + {b25}*marit + {b35}*west + {b45}*cath + {b55}*othrel + {b75}*(queb+marit)*prot + {b95}*bloc + {b65}*unemp + {b85}*d88 +  {a15=.3}*none1 + (1 -  {a15=.3})*({g15}*utilcon + {g25}*utillib + {g35}*utilndp)), nolog ifgnls vce(robust) 
display e(ll)

predict econ, res equation(#1)
predict elib, res equation(#2)
predict endp, res equation(#3)
gen econ2 = econ^2
gen elib2 = elib^2
gen endp2 = endp^2
predict conhat1, equation(#1)
predict libhat1, equation(#2)
predict ndphat1, equation(#3)
gen partyhat1 = libhat1 - conhat1
gen e12 = (majparty - partyhat1)^2

matrix b = e(b)
gen rho = exp(b[1,12]*dp2)
*conservative
gen stf1 = b[1,9]*unempp
sum stf1 if[year > 1965]
gen mstf1 = r(mean)
gen const1 = b[1,1] + b[1,2]*queb + b[1,3]*marit + b[1,4]*west + b[1,5]*cath + b[1,6]*othrel + b[1,7]*(queb+marit)*prot + b[1,8]*bloc + b[1,10]*d88  + mstf1 
gen rho1 = b[1,11]*rho
gen util1 = b[1,13]*utilcon + b[1,14]*utillib + b[1,15]*utilndp
*labor
gen stf2 = b[1,24]*unempp
sum stf2 if[year > 1965]
gen mstf2 = r(mean)
gen const2 = b[1,16] + b[1,17]*queb + b[1,18]*marit + b[1,19]*west + b[1,20]*cath + b[1,21]*othrel + b[1,22]*(queb+marit)*prot + b[1,23]*bloc + b[1,25]*d88 + mstf2 
gen rho2 = b[1,26]*rho
gen util2 = (b[1,27])*utilcon + (b[1,28])*utillib + (b[1,29])*utilndp
*NDP
gen stf3 = b[1,38]*unemp
sum stf3 if[year > 1965]
gen mstf3 = r(mean)
gen const3 = b[1,30] + b[1,31]*queb + b[1,32]*marit + b[1,33]*west + b[1,34]*cath + b[1,35]*othrel + b[1,36]*(queb+marit)*prot + b[1,37]*bloc + b[1,39]*d88 + mstf3 
gen rho3 = b[1,40]*rho
gen util3 = b[1,41]*utilcon + b[1,42]*utillib + b[1,43]*utilndp
*Other
gen stf4 = b[1,52]*unemp
sum stf4 if[year > 1965]
gen mstf4 = r(mean)
gen const4 = b[1,44] + b[1,45]*queb + b[1,46]*marit + b[1,47]*west + b[1,48]*cath + b[1,49]*othrel + b[1,50]*(queb+marit)*prot + b[1,51]*bloc + b[1,53]*d88 + mstf4 
gen rho4 = b[1,54]
gen util4 = b[1,55]*utilcon + b[1,56]*utillib + b[1,57]*utilndp
*None
gen stf5 = b[1,66]*unemp
sum stf5 if[year > 1965]
gen mstf5 = r(mean)
gen const5 = b[1,58] + b[1,59]*queb + b[1,60]*marit + b[1,61]*west + b[1,62]*cath + b[1,63]*othrel + b[1,64]*(queb+marit)*prot + b[1,65]*bloc + b[1,67]*d88  + mstf5 
gen rho5 = b[1,68]
gen util5 = b[1,69]*utilcon + b[1,70]*utillib + b[1,71]*utilndp
export excel year region religion rho1 util1 const1 rho2 util2 const2 rho3 util3 const3 rho4 util4 const4 rho5 util5 const5 conhat1 libhat1 ndphat1 using /users/jjacksn/documents/partisan/kollman/canada/tracking_canada_unemp_prot_bloc.xlsx, first(var) replace
corr majparty partyhat0 partyhat1  if[miss == 0], means
sum e02 e12  if[miss==0]
reg majparty partyhat? if[miss==0]
sort region
by region: sum econ elib endp if[miss==0]
drop econ elib endp
gen strata = 400*(region-1) + (year - 1964)
replace obs = 0 if[miss==1]
collapse year region conserv liberal ndp conhat1 libhat1 ndphat1 [aweight=obs], by(strata)
gen econ = conserv - conhat1
gen elib = liberal - libhat1
gen endp = ndp - ndphat1
sort region
by region: sum econ elib endp if[year > 1965]
log close
ext
