cd "M:\Kollman Party Project IFS\Canada"
use "AUGUST\2011\2011 total id.dta", clear
merge 1:1 year using "AUGUST\2011\2011 total prop.dta"
drop _merge
merge 1:1 year using "AUGUST\2011\2011 total distance.dta"
drop _merge

merge 1:1 year using "AUGUST\2011\2011 religion id.dta"
drop _merge
merge 1:1 year using "AUGUST\2011\2011 religion prop.dta"
drop _merge
merge 1:1 year using "AUGUST\2011\2011 religion comp distance.dta"
drop _merge

merge 1:1 year using "AUGUST\2011\2011 region id.dta"
drop _merge
merge 1:1 year using "AUGUST\2011\2011 region prop.dta"
drop _merge
merge 1:1 year using "AUGUST\2011\2011 region comp distance.dta"
drop _merge

merge 1:1 year using "AUGUST\2011\2011 union id.dta"
drop _merge
merge 1:1 year using "AUGUST\2011\2011 union prop.dta"
drop _merge
merge 1:1 year using "AUGUST\2011\2011 union comp distance.dta"
drop _merge

merge 1:1 year using "AUGUST\2011\2011 ethnicity id.dta"
drop _merge
merge 1:1 year using "AUGUST\2011\2011 ethnicity prop.dta"
drop _merge
merge 1:1 year using "AUGUST\2011\2011 ethnicity comp distance.dta"
drop _merge

merge 1:1 year using "AUGUST\2011\2011 partisan id.dta"
drop _merge
merge 1:1 year using "AUGUST\2011\2011 partisan prop.dta"
drop _merge
merge 1:1 year using "AUGUST\2011\2011 partisan comp distance.dta"
drop _merge

merge 1:1 year using "AUGUST\2011\2011 type id.dta"
drop _merge
merge 1:1 year using "AUGUST\2011\2011 type prop.dta"
drop _merge
merge 1:1 year using "AUGUST\2011\2011 type comp distance.dta"
drop _merge

merge 1:1 year using "AUGUST\2011\2011 regxrel id.dta"
drop _merge
merge 1:1 year using "AUGUST\2011\2011 regxrel prop.dta"
drop _merge
merge 1:1 year using "AUGUST\2011\2011 regxrel comp distance.dta"
drop _merge

merge 1:1 year using "AUGUST\2011\2011 regxun id.dta"
drop _merge
merge 1:1 year using "AUGUST\2011\2011 regxun prop.dta"
drop _merge
merge 1:1 year using "AUGUST\2011\2011 regxun comp distance.dta"
drop _merge



order year observ Liberal Conservative NDP BlocQuebecois Green  Other None  *_prop *Self *Lib *Con *NDP *Dis *_1cath *_2chr *_3other *_4nrel *_1Marit *_2Queb *_3Ontar *_4West *_1union *_2nunion *_1Euro *_2nEuro *_1LibPar *_2ConPar *_3NDPPar  *_4OtherPar *_1urban *_2nurban
drop *Part
drop sub_n

gen sub_n1="total"
gen sub_n2="religion"
gen sub_n3="region"
gen sub_n4="union"
gen sub_n5="ethnicity"
gen sub_n6="partisan"
gen sub_n7="type"
gen sub_n8="region X religion"
gen sub_n9="region X union"

label var sub_n1 "total"
label var sub_n2 "religion"
label var sub_n3 "region"
label var sub_n4 "union"
label var sub_n5 "ethnicity"
label var sub_n6 "partisan"
label var sub_n7 "type"
label var sub_n8 "region X religion"
label var sub_n9 "region X union"

order sub_n1, before(observ)
order sub_n2, before(observ_1cath)
order sub_n3, before(observ_1Marit)
order sub_n4, before(observ_1union)
order sub_n5, before(observ_1Euro)
order sub_n6, before(observ_1LibPar)
order sub_n7, before (observ_1urban)
order sub_n8, before (observ_1QbCat)
order sub_n9, before (observ_1QbU)

save "AUGUST\2011\2011 merged.dta"
clear
