clear
log using /users/jjacksn/documents/partisan/kollman/canada/regionrel.log, replace
use /users/jjacksn/documents/partisan/kollman/canada/Data/Canada_1965_2011_June2016.dta
*
*Party Strength and shares
*
*
*Liberal
*
gen lib1 = (3*lib_vs_prop_1QbCat12 + 2*lib_fs_prop_1QbCat12 + lib_ns_prop_1QbCat12)*Liberal_1QbCat12/observ_1QbCat12
gen lib2 = (3*lib_vs_prop_2QbChr12 + 2*lib_fs_prop_2QbChr12 + lib_ns_prop_2QbChr12)*Liberal_2QbChr12/observ_2QbChr12
gen lib3 = (3*lib_vs_prop_3QbOth12 + 2*lib_fs_prop_3QbOth12 + lib_ns_prop_3QbOth12)*Liberal_3QbOth12/observ_3QbOth12
gen lib4 = (3*lib_vs_prop_4MariCat12 + 2*lib_fs_prop_4MariCat12 + lib_ns_prop_4MariCat12)*Liberal_4MariCat12/observ_4MariCat12
gen lib5 = (3*lib_vs_prop_5MariChr12 + 2*lib_fs_prop_5MariChr12 + lib_ns_prop_5MariChr12)*Liberal_5MariChr12/observ_5MariChr12
gen lib6 = (3*lib_vs_prop_6MariOth12 + 2*lib_fs_prop_6MariOth12 + lib_ns_prop_6MariOth12)*Liberal_6MariOth12/observ_6MariOth12
gen lib7 = (3*lib_vs_prop_7OntarCat12 + 2*lib_fs_prop_7OntarCat12 + lib_ns_prop_7OntarCat12)*Liberal_7OntarCat12/observ_7OntarCat12
gen lib8 = (3*lib_vs_prop_8OntarChr12 + 2*lib_fs_prop_8OntarChr12 + lib_ns_prop_8OntarChr12)*Liberal_8OntarChr12/observ_8OntarChr12
gen lib9 = (3*lib_vs_prop_9OntarOth12 + 2*lib_fs_prop_9OntarOth12 + lib_ns_prop_9OntarOth12)*Liberal_9OntarOth12/observ_9OntarOth12
gen lib10 = (3*lib_vs_prop_10WestCat12 + 2*lib_fs_prop_10WestCat12 + lib_ns_prop_10WestCat12)*Liberal_10WestCat12/observ_10WestCat12
gen lib11 = (3*lib_vs_prop_11WestChr12 + 2*lib_fs_prop_11WestChr12 + lib_ns_prop_11WestChr12)*Liberal_11WestChr12/observ_11WestChr12
gen lib12 = (3*lib_vs_prop_12WestOth12 + 2*lib_fs_prop_12WestOth12 + lib_ns_prop_12WestOth12)*Liberal_12WestOth12/observ_12WestOth12
*
*NDP
*
gen ndp1 = (3*NDP_vs_prop_1QbCat12 + 2*NDP_fs_prop_1QbCat12 + NDP_ns_prop_1QbCat12)*NDP_1QbCat12/observ_1QbCat12
gen ndp2 = (3*NDP_vs_prop_2QbChr12 + 2*NDP_fs_prop_2QbChr12 + NDP_ns_prop_2QbChr12)*NDP_2QbChr12/observ_2QbChr12
gen ndp3 = (3*NDP_vs_prop_3QbOth12 + 2*NDP_fs_prop_3QbOth12 + NDP_ns_prop_3QbOth12)*NDP_3QbOth12/observ_3QbOth12
gen ndp4 = (3*NDP_vs_prop_4MariCat12 + 2*NDP_fs_prop_4MariCat12 + NDP_ns_prop_4MariCat12)*NDP_4MariCat12/observ_4MariCat12
gen ndp5 = (3*NDP_vs_prop_5MariChr12 + 2*NDP_fs_prop_5MariChr12 + NDP_ns_prop_5MariChr12)*NDP_5MariChr12/observ_5MariChr12
gen ndp6 = (3*NDP_vs_prop_6MariOth12 + 2*NDP_fs_prop_6MariOth12 + NDP_ns_prop_6MariOth12)*NDP_6MariOth12/observ_6MariOth12
gen ndp7 = (3*NDP_vs_prop_7OntarCat12 + 2*NDP_fs_prop_7OntarCat12 + NDP_ns_prop_7OntarCat12)*NDP_7OntarCat12/observ_7OntarCat12
gen ndp8 = (3*NDP_vs_prop_8OntarChr12 + 2*NDP_fs_prop_8OntarChr12 + NDP_ns_prop_8OntarChr12)*NDP_8OntarChr12/observ_8OntarChr12
gen ndp9 = (3*NDP_vs_prop_9OntarOth12 + 2*NDP_fs_prop_9OntarOth12 + NDP_ns_prop_9OntarOth12)*NDP_9OntarOth12/observ_9OntarOth12
gen ndp10 = (3*NDP_vs_prop_10WestCat12 + 2*NDP_fs_prop_10WestCat12 + NDP_ns_prop_10WestCat12)*NDP_10WestCat12/observ_10WestCat12
gen ndp11 = (3*NDP_vs_prop_11WestChr12 + 2*NDP_fs_prop_11WestChr12 + NDP_ns_prop_11WestChr12)*NDP_11WestChr12/observ_11WestChr12
gen ndp12 = (3*NDP_vs_prop_12WestOth12 + 2*NDP_fs_prop_12WestOth12 + NDP_ns_prop_12WestOth12)*NDP_12WestOth12/observ_12WestOth12
*
*Conservative
*
gen con1 = (3*con_vs_prop_1QbCat12 + 2*con_fs_prop_1QbCat12 + con_ns_prop_1QbCat12)*Conservative_1QbCat12/observ_1QbCat12
gen con2 = (3*con_vs_prop_2QbChr12 + 2*con_fs_prop_2QbChr12 + con_ns_prop_2QbChr12)*Conservative_2QbChr12/observ_2QbChr12
gen con3 = (3*con_vs_prop_3QbOth12 + 2*con_fs_prop_3QbOth12 + con_ns_prop_3QbOth12)*Conservative_3QbOth12/observ_3QbOth12
gen con4 = (3*con_vs_prop_4MariCat12 + 2*con_fs_prop_4MariCat12 + con_ns_prop_4MariCat12)*Conservative_4MariCat12/observ_4MariCat12
gen con5 = (3*con_vs_prop_5MariChr12 + 2*con_fs_prop_5MariChr12 + con_ns_prop_5MariChr12)*Conservative_5MariChr12/observ_5MariChr12
gen con6 = (3*con_vs_prop_6MariOth12 + 2*con_fs_prop_6MariOth12 + con_ns_prop_6MariOth12)*Conservative_6MariOth12/observ_6MariOth12
gen con7 = (3*con_vs_prop_7OntarCat12 + 2*con_fs_prop_7OntarCat12 + con_ns_prop_7OntarCat12)*Conservative_7OntarCat12/observ_7OntarCat12
gen con8 = (3*con_vs_prop_8OntarChr12 + 2*con_fs_prop_8OntarChr12 + con_ns_prop_8OntarChr12)*Conservative_8OntarChr12/observ_8OntarChr12
gen con9 = (3*con_vs_prop_9OntarOth12 + 2*con_fs_prop_9OntarOth12 + con_ns_prop_9OntarOth12)*Conservative_9OntarOth12/observ_9OntarOth12
gen con10 = (3*con_vs_prop_10WestCat12 + 2*con_fs_prop_10WestCat12 + con_ns_prop_10WestCat12)*Conservative_10WestCat12/observ_10WestCat12
gen con11 = (3*con_vs_prop_11WestChr12 + 2*con_fs_prop_11WestChr12 + con_ns_prop_11WestChr12)*Conservative_11WestChr12/observ_11WestChr12
gen con12 = (3*con_vs_prop_12WestOth12 + 2*con_fs_prop_12WestOth12 + con_ns_prop_12WestOth12)*Conservative_12WestOth12/observ_12WestOth12

replace con1 = (3*progC_vs_prop_1QbCat12 + 2*progC_fs_prop_1QbCat12 + progC_ns_prop_1QbCat12)*ProgressiveC_1QbCat12/observ_1QbCat12 if[con1 == .]
replace con2 = (3*progC_vs_prop_2QbChr12 + 2*progC_fs_prop_2QbChr12 + progC_ns_prop_2QbChr12)*ProgressiveC_2QbChr12/observ_2QbChr12 if[con2 == .]
replace con3 = (3*progC_vs_prop_3QbOth12 + 2*progC_fs_prop_3QbOth12 + progC_ns_prop_3QbOth12)*ProgressiveC_3QbOth12/observ_3QbOth12 if[con3 == .]
replace con4 = (3*progC_vs_prop_4MariCat12 + 2*progC_fs_prop_4MariCat12 + progC_ns_prop_4MariCat12)*ProgressiveC_4MariCat12/observ_4MariCat12 if[con4 == .]
replace con5 = (3*progC_vs_prop_5MariChr12 + 2*progC_fs_prop_5MariChr12 + progC_ns_prop_5MariChr12)*ProgressiveC_5MariChr12/observ_5MariChr12 if[con5 == .]
replace con6 = (3*progC_vs_prop_6MariOth12 + 2*progC_fs_prop_6MariOth12 + progC_ns_prop_6MariOth12)*ProgressiveC_6MariOth12/observ_6MariOth12 if[con6 == .]
replace con7 = (3*progC_vs_prop_7OntarCat12 + 2*progC_fs_prop_7OntarCat12 + progC_ns_prop_7OntarCat12)*ProgressiveC_7OntarCat12/observ_7OntarCat12 if[con7 == .]
replace con8 = (3*progC_vs_prop_8OntarChr12 + 2*progC_fs_prop_8OntarChr12 + progC_ns_prop_8OntarChr12)*ProgressiveC_8OntarChr12/observ_8OntarChr12 if[con8 == .]
replace con9 = (3*progC_vs_prop_9OntarOth12 + 2*progC_fs_prop_9OntarOth12 + progC_ns_prop_9OntarOth12)*ProgressiveC_9OntarOth12/observ_9OntarOth12 if[con9 == .]
replace con10 = (3*progC_vs_prop_10WestCat12 + 2*progC_fs_prop_10WestCat12 + progC_ns_prop_10WestCat12)*ProgressiveC_10WestCat12/observ_10WestCat12 if[con10 == .]
replace con11 = (3*progC_vs_prop_11WestChr12 + 2*progC_fs_prop_11WestChr12 + progC_ns_prop_11WestChr12)*ProgressiveC_11WestChr12/observ_11WestChr12 if[con11 == .]
replace con12 = (3*progC_vs_prop_12WestOth12 + 2*progC_fs_prop_12WestOth12 + progC_ns_prop_12WestOth12)*ProgressiveC_12WestOth12/observ_12WestOth12 if[con12 == .]

replace con7 =  con7 + (3*reform_vs_prop_7OntarCat12 + 2*reform_fs_prop_7OntarCat12 + reform_ns_prop_7OntarCat12)*Reform_7OntarCat12/observ_7OntarCat12 if[year == 1997]
replace con8 =  con8 + (3*reform_vs_prop_8OntarChr12 + 2*reform_fs_prop_8OntarChr12 + reform_ns_prop_8OntarChr12)*Reform_8OntarChr12/observ_8OntarChr12 if[year == 1997]
replace con9 =  con9 + (3*reform_vs_prop_9OntarOth12 + 2*reform_fs_prop_9OntarOth12 + reform_ns_prop_9OntarOth12)*Reform_9OntarOth12/observ_9OntarOth12 if[year == 1997]
replace con10 =  con10 + (3*reform_vs_prop_10WestCat12 + 2*reform_fs_prop_10WestCat12 + reform_ns_prop_10WestCat12)*Reform_10WestCat12/observ_10WestCat12 if[year == 1997]
replace con11 =  con11 + (3*reform_vs_prop_11WestChr12 + 2*reform_fs_prop_11WestChr12 + reform_ns_prop_11WestChr12)*Reform_11WestChr12/observ_11WestChr12 if[year == 1997]
replace con12 =  con12 + (3*reform_vs_prop_12WestOth12 + 2*reform_fs_prop_12WestOth12 + reform_ns_prop_12WestOth12)*Reform_12WestOth12/observ_12WestOth12 if[year == 1997]
replace con1 = con1 + (3*alliance_vs_prop_1QbCat12 + 2*alliance_fs_prop_1QbCat12 + alliance_ns_prop_1QbCat12)*Alliance_1QbCat12/observ_1QbCat12 if[year == 2000]
replace con2 = con2 +  (3*alliance_vs_prop_2QbChr12 + 2*alliance_fs_prop_2QbChr12 + alliance_ns_prop_2QbChr12)*Alliance_2QbChr12/observ_2QbChr12 if[year == 2000]
replace con3 = con3 +  (3*alliance_vs_prop_3QbOth12 + 2*alliance_fs_prop_3QbOth12 + alliance_ns_prop_3QbOth12)*Alliance_3QbOth12/observ_3QbOth12 if[year == 2000]
replace con4 = con4 +  (3*alliance_vs_prop_4MariCat12 + 2*alliance_fs_prop_4MariCat12 + alliance_ns_prop_4MariCat12)*Alliance_4MariCat12/observ_4MariCat12 if[year == 2000]
replace con5 =  con5 + (3*alliance_vs_prop_5MariChr12 + 2*alliance_fs_prop_5MariChr12 + alliance_ns_prop_5MariChr12)*Alliance_5MariChr12/observ_5MariChr12 if[year == 2000]
replace con6 =  con6 + (3*alliance_vs_prop_6MariOth12 + 2*alliance_fs_prop_6MariOth12 + alliance_ns_prop_6MariOth12)*Alliance_6MariOth12/observ_6MariOth12 if[year == 2000]
replace con7 =  con7 + (3*alliance_vs_prop_7OntarCat12 + 2*alliance_fs_prop_7OntarCat12 + alliance_ns_prop_7OntarCat12)*Alliance_7OntarCat12/observ_7OntarCat12 if[year == 2000]
replace con8 =  con8 + (3*alliance_vs_prop_8OntarChr12 + 2*alliance_fs_prop_8OntarChr12 + alliance_ns_prop_8OntarChr12)*Alliance_8OntarChr12/observ_8OntarChr12 if[year == 2000]
replace con9 =  con9 + (3*alliance_vs_prop_9OntarOth12 + 2*alliance_fs_prop_9OntarOth12 + alliance_ns_prop_9OntarOth12)*Alliance_9OntarOth12/observ_9OntarOth12 if[year == 2000]
replace con10 =  con10 + (3*alliance_vs_prop_10WestCat12 + 2*alliance_fs_prop_10WestCat12 + alliance_ns_prop_10WestCat12)*Alliance_10WestCat12/observ_10WestCat12 if[year == 2000]
replace con11 =  con11 + (3*alliance_vs_prop_11WestChr12 + 2*alliance_fs_prop_11WestChr12 + alliance_ns_prop_11WestChr12)*Alliance_11WestChr12/observ_11WestChr12 if[year == 2000]
replace con12 =  con12 + (3*alliance_vs_prop_12WestOth12 + 2*alliance_fs_prop_12WestOth12 + alliance_ns_prop_12WestOth12)*Alliance_12WestOth12/observ_12WestOth12 if[year == 2000]
*
*Number Cons
*
gen ncon1 = Conservative_1QbCat12
gen ncon2 = Conservative_2QbChr12
gen ncon3 = Conservative_3QbOth12
gen ncon4 = Conservative_4MariCat12
gen ncon5 = Conservative_5MariChr12
gen ncon6 = Conservative_6MariOth12
gen ncon7 = Conservative_7OntarCat12
gen ncon8 = Conservative_8OntarChr12
gen ncon9 = Conservative_9OntarOth12
gen ncon10 = Conservative_10WestCat12
gen ncon11 = Conservative_11WestChr12
gen ncon12 = Conservative_12WestOth12
replace ncon1 = ProgressiveC_1QbCat12 if[ncon1 == .]
replace ncon2 = ProgressiveC_2QbChr12 if[ncon2 == .]
replace ncon3 = ProgressiveC_3QbOth12 if[ncon3 == .]
replace ncon4 = ProgressiveC_4MariCat12 if[ncon4 == .]
replace ncon5 = ProgressiveC_5MariChr12 if[ncon5 == .]
replace ncon6 = ProgressiveC_6MariOth12 if[ncon6 == .]
replace ncon7 = ProgressiveC_7OntarCat12 if[ncon7 == .]
replace ncon8 = ProgressiveC_8OntarChr12 if[ncon8 == .]
replace ncon9 = ProgressiveC_9OntarOth12 if[ncon9 == .]
replace ncon10 = ProgressiveC_10WestCat12 if[ncon10 == .]
replace ncon11 = ProgressiveC_11WestChr12 if[ncon11 == .]
replace ncon12 = ProgressiveC_12WestOth12 if[ncon12 == .]
replace ncon7 = ncon7 + Reform_7OntarCat12 if[year == 1997]
replace ncon8 = ncon8 + Reform_8OntarChr12 if[year == 1997]
replace ncon9 = ncon9 + Reform_9OntarOth12 if[year == 1997]
replace ncon10 = ncon10 + Reform_10WestCat12 if[year == 1997]
replace ncon11 = ncon11 + Reform_11WestChr12 if[year == 1997]
replace ncon12 = ncon12 + Reform_12WestOth12 if[year == 1997]

replace ncon1 = ncon1 + Alliance_1QbCat12 if[year == 2000]
replace ncon2 = ncon2 + Alliance_2QbChr12 if[year == 2000]
replace ncon3 = ncon3 + Alliance_3QbOth12 if[year == 2000]
replace ncon4 = ncon4 + Alliance_4MariCat12 if[year == 2000]
replace ncon5 = ncon5 + Alliance_5MariChr12 if[year == 2000]
replace ncon6 = ncon6 + Alliance_6MariOth12 if[year == 2000]
replace ncon7 = ncon7 + Alliance_7OntarCat12 if[year == 2000]
replace ncon8 = ncon8 + Alliance_8OntarChr12 if[year == 2000]
replace ncon9 = ncon9 + Alliance_9OntarOth12 if[year == 2000]
replace ncon10 = ncon10 + Alliance_10WestCat12 if[year == 2000]
replace ncon11 = ncon11 + Alliance_11WestChr12 if[year == 2000]
replace ncon12 = ncon12 + Alliance_12WestOth12 if[year == 2000]
*
*Bloc
*
gen bloc1 = (3*blocq_vs_prop_1QbCat12 + 2*blocq_fs_prop_1QbCat12 + blocq_ns_prop_1QbCat12)*BlocQuebecois_1QbCat12/observ_1QbCat12
gen bloc2 = (3*blocq_vs_prop_2QbChr12 + 2*blocq_fs_prop_2QbChr12 + blocq_ns_prop_2QbChr12)*BlocQuebecois_2QbChr12/observ_2QbChr12
gen bloc3 = (3*blocq_vs_prop_3QbOth12 + 2*blocq_fs_prop_3QbOth12 + blocq_ns_prop_3QbOth12)*BlocQuebecois_3QbOth12/observ_3QbOth12
replace bloc1 = 0 if[bloc1 == .]
replace bloc2 = 0 if[bloc2 == .]
replace bloc3 = 0 if[bloc3 == .]
gen bloc4 = 0
gen bloc5 = 0
gen bloc6 = 0
gen bloc7 = 0
gen bloc8 = 0
gen bloc9 = 0
gen bloc10 = 0
gen bloc11 = 0
gen bloc12 = 0
gen nbloc1 = 0
gen nbloc2 = 0
gen nbloc3 = 0
replace nbloc1 = BlocQuebecois_1QbCat12 if[BlocQuebecois_1QbCat12 != .]
replace nbloc2 = BlocQuebecois_2QbChr12 if[BlocQuebecois_2QbChr12 != .]
replace nbloc3 = BlocQuebecois_3QbOth12 if[BlocQuebecois_3QbOth12 != .]

*
*None
*
gen none1 = None_1QbCat12/observ_1QbCat12
gen none2 = None_2QbChr12/observ_2QbChr12
gen none3 = None_3QbOth12/observ_3QbOth12
gen none4 = None_4MariCat12/observ_4MariCat12
gen none5 = None_5MariChr12/observ_5MariChr12
gen none6 = None_6MariOth12/observ_6MariOth12
gen none7 = None_7OntarCat12/observ_7OntarCat12
gen none8 = None_8OntarChr12/observ_8OntarChr12
gen none9 = None_9OntarOth12/observ_9OntarOth12
gen none10 = None_10WestCat12/observ_10WestCat12
gen none11 = None_11WestChr12/observ_11WestChr12
gen none12 = None_12WestOth12/observ_12WestOth12
*
*Other
*
gen oth1 = (observ_1QbCat12 - Liberal_1QbCat12 - NDP_1QbCat12 - ncon1 - nbloc1)/observ_1QbCat12 - none1
gen oth2 = (observ_2QbChr12 - Liberal_2QbChr12 - NDP_2QbChr12 - ncon2 - nbloc2)/observ_2QbChr12 - none2
gen oth3 = (observ_3QbOth12 - Liberal_3QbOth12 - NDP_3QbOth12 - ncon3 - nbloc3)/observ_3QbOth12 - none3
gen oth4 = (observ_4MariCat12 - Liberal_4MariCat12 - NDP_4MariCat12 - ncon4)/observ_4MariCat12 - none4
gen oth5 = (observ_5MariChr12 - Liberal_5MariChr12 - NDP_5MariChr12 - ncon5)/observ_5MariChr12 - none5
gen oth6 = (observ_6MariOth12 - Liberal_6MariOth12 - NDP_6MariOth12 - ncon6)/observ_6MariOth12 - none6
gen oth7 = (observ_7OntarCat12 - Liberal_7OntarCat12 - NDP_7OntarCat12 - ncon7)/observ_7OntarCat12 - none7
gen oth8 = (observ_8OntarChr12 - Liberal_8OntarChr12 - NDP_8OntarChr12 - ncon8)/observ_8OntarChr12 - none8
gen oth9 = (observ_9OntarOth12 - Liberal_9OntarOth12 - NDP_9OntarOth12 - ncon9)/observ_9OntarOth12 - none9
gen oth10 = (observ_10WestCat12 - Liberal_10WestCat12 - NDP_10WestCat12 - ncon10)/observ_10WestCat12 - none10
gen oth11 = (observ_11WestChr12 - Liberal_11WestChr12 - NDP_11WestChr12 - ncon11)/observ_11WestChr12 - none11
gen oth12 = (observ_12WestOth12 - Liberal_12WestOth12 - NDP_12WestOth12 - ncon12)/observ_12WestOth12 - none12
*
*Utilities
*
*
* Conservative
*
replace meanPD_con_1QbCat12 = meanPD_progc_1QbCat12 if[meanPD_con_1QbCat12 == .]
replace meanPD_con_2QbChr12 = meanPD_progc_2QbChr12 if[meanPD_con_2QbChr12 == .]
replace meanPD_con_3QbOth12 = meanPD_progc_3QbOth12 if[meanPD_con_3QbOth12 == .]
replace meanPD_con_4MariCat12 = meanPD_progc_4MariCat12 if[meanPD_con_4MariCat12 == .]
replace meanPD_con_5MariChr12 = meanPD_progc_5MariChr12 if[meanPD_con_5MariChr12 == .]
replace meanPD_con_6MariOth12 = meanPD_progc_6MariOth12 if[meanPD_con_6MariOth12 == .]
replace meanPD_con_7OntarCat12 = meanPD_progc_7OntarCat12 if[meanPD_con_7OntarCat12 == .]
replace meanPD_con_8OntarChr12 = meanPD_progc_8OntarChr12 if[meanPD_con_8OntarChr12 == .]
replace meanPD_con_9OntarOth12 = meanPD_progc_9OntarOth12 if[meanPD_con_9OntarOth12 == .]
replace meanPD_con_10WestCat12 = meanPD_progc_10WestCat12 if[meanPD_con_10WestCat12 == .]
replace meanPD_con_11WestChr12 = meanPD_progc_11WestChr12 if[meanPD_con_11WestChr12 == .]
replace meanPD_con_12WestOth12 = meanPD_progc_12WestOth12 if[meanPD_con_12WestOth12 == .]
*
* Party Placements
*
*
*Conservative
*
replace meanCon_1QbCat12 = meanProgC_1QbCat12 if[meanCon_1QbCat12 == .]
replace meanCon_2QbChr12 = meanProgC_2QbChr12 if[meanCon_2QbChr12 == .]
replace meanCon_3QbOth12 = meanProgC_3QbOth12 if[meanCon_3QbOth12 == .]
replace meanCon_4MariCat12 = meanProgC_4MariCat12 if[meanCon_4MariCat12 == .]
replace meanCon_5MariChr12 = meanProgC_5MariChr12 if[meanCon_5MariChr12 == .]
replace meanCon_6MariOth12 = meanProgC_6MariOth12 if[meanCon_6MariOth12 == .]
replace meanCon_7OntarCat12 = meanProgC_7OntarCat12 if[meanCon_7OntarCat12 == .]
replace meanCon_8OntarChr12 = meanProgC_8OntarChr12 if[meanCon_8OntarChr12 == .]
replace meanCon_9OntarOth12 = meanProgC_9OntarOth12 if[meanCon_9OntarOth12 == .]
replace meanCon_10WestCat12 = meanProgC_10WestCat12 if[meanCon_10WestCat12 == .]
replace meanCon_11WestChr12 = meanProgC_11WestChr12 if[meanCon_11WestChr12 == .]
replace meanCon_12WestOth12 = meanProgC_12WestOth12 if[meanCon_12WestOth12 == .]
 
gen region = 1
gen religion = 1
export excel year region religion lib1 ndp1 con1 bloc1 none1 oth1 meanPD_lib_1QbCat12 meanPD_ndp_1QbCat12 meanPD_con_1QbCat12 meanLib_1QbCat12 meanNDP_1QbCat12 meanCon_1QbCat12 using regionrel1.xlsx, replace
replace religion = 2
export excel year region religion lib2 ndp2 con2 bloc2 none2 oth2 meanPD_lib_2QbChr12 meanPD_ndp_2QbChr12 meanPD_con_2QbChr12 meanLib_2QbChr12 meanNDP_2QbChr12 meanCon_2QbChr12 using regionrel2.xlsx, replace
replace religion = 3
export excel year region religion lib3 ndp3 con3 bloc3 none3 oth3 meanPD_lib_3QbOth12 meanPD_ndp_3QbOth12 meanPD_con_3QbOth12 meanLib_3QbOth12 meanNDP_3QbOth12 meanCon_3QbOth12 using regionrel3.xlsx, replace
replace region = 2
replace religion = 1
export excel year region religion lib4 ndp4 con4 bloc4 none4 oth4 meanPD_lib_4MariCat12 meanPD_ndp_4MariCat12 meanPD_con_4MariCat12 meanLib_4MariCat12 meanNDP_4MariCat12 meanCon_4MariCat12 using regionrel4.xlsx, replace
replace religion = 2
export excel year region religion lib5 ndp5 con5 bloc5 none5 oth5 meanPD_lib_5MariChr12 meanPD_ndp_5MariChr12 meanPD_con_5MariChr12 meanLib_5MariChr12 meanNDP_5MariChr12 meanCon_5MariChr12 using regionrel5.xlsx, replace
replace religion = 3
export excel year region religion lib6 ndp6 con6 bloc6 none6 oth6 meanPD_lib_6MariOth12 meanPD_ndp_6MariOth12 meanPD_con_6MariOth12 meanLib_6MariOth12 meanNDP_6MariOth12 meanCon_6MariOth12 using regionrel6.xlsx, replace
replace region = 3
replace religion = 1
export excel year region religion lib7 ndp7 con7 bloc7 none7 oth7 meanPD_lib_7OntarCat12 meanPD_ndp_7OntarCat12 meanPD_con_7OntarCat12 meanLib_7OntarCat12 meanNDP_7OntarCat12 meanCon_7OntarCat12 using regionrel7.xlsx, replace
replace religion = 2
export excel year region religion lib8 ndp8 con8 bloc8 none8 oth8 meanPD_lib_8OntarChr12 meanPD_ndp_8OntarChr12 meanPD_con_8OntarChr12 meanLib_8OntarChr12 meanNDP_8OntarChr12 meanCon_8OntarChr12 using regionrel8.xlsx, replace
replace religion = 3
export excel year region religion lib9 ndp9 con9 bloc9 none9 oth9 meanPD_lib_9OntarOth12 meanPD_ndp_9OntarOth12 meanPD_con_9OntarOth12 meanLib_9OntarOth12 meanNDP_9OntarOth12 meanCon_9OntarOth12 using regionrel9.xlsx, replace
replace region = 4
replace religion = 1
export excel year region religion lib10 ndp10 con10 bloc10 none10 oth10 meanPD_lib_10WestCat12 meanPD_ndp_10WestCat12 meanPD_con_10WestCat12 meanLib_10WestCat12 meanNDP_10WestCat12 meanCon_10WestCat12  using regionrel10.xlsx, replace
replace religion = 2
export excel year region religion lib11 ndp11 con11 bloc11 none11 oth11 meanPD_lib_11WestChr12 meanPD_ndp_11WestChr12 meanPD_con_11WestChr12 meanLib_11WestChr12 meanNDP_11WestChr12 meanCon_11WestChr12  using regionrel11.xlsx, replace
replace religion = 3
export excel year region religion lib12 ndp12 con12 bloc12 none12 oth12 meanPD_lib_12WestOth12 meanPD_ndp_12WestOth12 meanPD_con_12WestOth12 meanLib_12WestOth12 meanNDP_12WestOth12 meanCon_12WestOth12 using regionrel12.xlsx, replace
log close








